// priority: 0

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

console.info('Hello, World! (You will see this line every time server resources reload)')

onEvent('recipes', event => {
  event.smithing('create:mechanical_saw', 'create:andesite_casing', 'create:iron_sheet')
  event.smithing('create:gearbox', 'create:andesite_casing', 'create:cogwheel')
  event.smithing('create:andesite_casing', 'kubejs:machine_frame_simple', 'create:andesite_alloy')
  event.smithing('create:mechanical_press', 'create:andesite_casing', 'minecraft:iron_block')
  event.smithing('create:deployer', 'create:andesite_casing', 'create:brass_hand')
  event.smithing('create:mechanical_mixer', 'create:andesite_casing', 'create:whisk')
  event.smithing('create:brass_casing', 'kubejs:machine_frame_simple', 'create:brass_sheet')
  event.shaped('3x create:belt_connector', [
    '   ',
    'YYY',
    'YYY'
  ], {
    Y: 'thermal:cured_rubber'
})
})
onEvent('recipes', event => {
	event.remove({output: 'create:mechanical_press'})
    event.remove({output: 'create:mechanical_saw'})
    event.remove({output: 'create:gearbox'})
    event.remove({output: 'create:brass_casing'})
    event.remove({output: 'create:andesite_casing'})
    event.remove({output: 'create:deployer'})
    event.remove({output: 'create:mechanical_mixer'})
    event.remove({output: 'create:belt_connector'})

})
